Get Research Consent
curl --request GET \
--url https://api.thefaithapp.com/v1/community/research-consent \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/research-consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/research-consent"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": true,
"pilot_keys": [
"recurring_rides"
],
"consented_at": "2026-07-18T09:30:00.000000Z"
}
}
}Community Preferences & Research
Get Research Consent
Returns consent and eligibility information for opt-in community research pilots.
GET
/
v1
/
community
/
research-consent
Get Research Consent
curl --request GET \
--url https://api.thefaithapp.com/v1/community/research-consent \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/research-consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/research-consent"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"research_pilots": {
"enabled": true,
"eligible": true,
"research_only": true,
"automated_matching": false,
"consent_version": "2026-07",
"active": true,
"pilot_keys": [
"recurring_rides"
],
"consented_at": "2026-07-18T09:30:00.000000Z"
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Was this page helpful?